package com.logicbig.example;

import org.junit.experimental.ParallelComputer;
import org.junit.runner.Computer;
import org.junit.runner.JUnitCore;
import org.junit.runner.Result;

public class RunComputerExample {
    public static void main(String[] args) {
        runSerial();
        runParallel();
    }

    private static void runSerial() {
        System.out.println("--------\nRunning Serial");
        JUnitCore jUnitCore = new JUnitCore();
        Result run = jUnitCore.run(Computer.serial(), TestExample2.class);
        Util.printResult(run);
    }

    private static void runParallel() {
        System.out.println("--------\nRunning parallel");
        JUnitCore jUnitCore = new JUnitCore();
        Result result = jUnitCore.run(ParallelComputer.methods(),
                TestExample2.class);
        Util.printResult(result);
    }
}